Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
[erledigt] Update 1.4.4 failed class_parser.php
#1
Hallo zusammen,

hier ist das Update auf Version 1.4.4 ur bedingt geglückt.
Sabald ich die Postings in einem Thread lesen möchte bekomme ich nur noch Fehlermeldungen des Scripts class_parser.php

Zitat:Warning [2] preg_replace() [function.preg-replace]: Compilation failed: lookbehind assertion is not fixed length at offset 8 - Line: 406 - File: inc/class_parser.php PHP 5.1.2 (Linux)

Ich habe schon einen Thread bei mybboard.net eröffnet:
http://community.mybboard.net/thread-410...76510.html

Vielleicht weiß hier jemand Rat?
Problem beseitigt! Ryan Gorden hat das Download-Archiv geupdatet. Die darin enthaltene Datei class_parser.php löst das Problem.
Totenköpfe grinsen - mit Recht!

Linux 3.0.0-gentoo #1 SMP x86_64 AMD Phenom™ II X6 1055T GNU/Linux
#2
So wars bei mir auch, dasselbe problem. Dann habe ich mir Version 1.4.4. nochmal, incl. dem Patch geholt. Das hat bei mir funktioniert. Aber nur solange, bis ich die Privatnachrichten aufgerufen habe, danach kam es wieder und auch das Forum selbst hat sich erneut zerlegt - siehe Bild.


Angehängte Dateien Thumbnail(s)
   
#3
Ich habe keine Probleme mehr. Bitte schau mal in diesem Thread (http://community.mybboard.net/thread-41253.html), ich hab dort die Datei vom 27.11.08 an gehangen, die bei mir problemlos läuft. Ich habe das Gefühl, dass da bei aktualisieren der Pakete die Dateiversionen durcheinander gekommen sind.
In dem aktuellen bei mybboard.net herunterladbaren Paket ist wieder die defekte class_parser.php enthalten. Ich habe Ryan deswegen angeschrieben ....
Totenköpfe grinsen - mit Recht!

Linux 3.0.0-gentoo #1 SMP x86_64 AMD Phenom™ II X6 1055T GNU/Linux
#4
Hmmm....die Datei class_parser.php aus dem angeblich gepatchten MyBB 1.4.4 stammte vom 29.11.2008, 16:19. Damit funktioniert es nicht. Mit der class_parser.php Datei aus dem verlinkten thread funktioniert es nun. Offenbar schleicht sich der Fehler wieder rein und nur diese eine class_parser.php funktioniert wirklich. Vielen Dank jedenfalls für den Tip, hoffen wir dass das nicht mit 1.4.5 nochmal so läuft.


Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  db-update/update.php benni33 4 1.047 26.12.2008, 12:01
Letzter Beitrag: benni33
  [MyBB 1.4.4] class_parser.php Jorgo 2 1.061 02.12.2008, 18:22
Letzter Beitrag: Jorgo